{
    "fields": [
        {
            "doc": "Unique identifier for each report event, this has to be unique across the whole report, and it will be used by GEL\n    to validate the report",
            "name": "reportEventId",
            "type": "string"
        },
        {
            "doc": "This is the phenotype (usually the HPO term or the disorder name) considered to report this variant",
            "name": "phenotype",
            "type": "string"
        },
        {
            "doc": "Gene Panel used from panelApp",
            "name": "panelName",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Gene Panel Version",
            "name": "panelVersion",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Mode of inheritance used to analyze the family",
            "name": "modeOfInheritance",
            "type": {
                "doc": "An enumeration for the different mode of inheritances:\n\n* `monoallelic_not_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, not imprinted\n* `monoallelic_maternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, maternally imprinted (paternal allele expressed)\n* `monoallelic_paternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, paternally imprinted (maternal allele expressed)\n* `monoallelic`: MONOALLELIC, autosomal or pseudoautosomal, imprinted status unknown\n* `biallelic`: BIALLELIC, autosomal or pseudoautosomal\n* `monoallelic_and_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal\n* `monoallelic_and_more_severe_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal (but BIALLELIC mutations cause a more SEVERE disease form), autosomal or pseudoautosomal\n* `xlinked_biallelic`: X-LINKED: hemizygous mutation in males, biallelic mutations in females\n* `xlinked_monoallelic`: X linked: hemizygous mutation in males, monoallelic mutations in females may cause disease (may be less severe, later onset than males)\n* `mitochondrial`: MITOCHONDRIAL\n* `unknown`: Unknown",
                "name": "ReportedModeOfInheritance",
                "symbols": [
                    "monoallelic",
                    "monoallelic_not_imprinted",
                    "monoallelic_maternally_imprinted",
                    "monoallelic_paternally_imprinted",
                    "biallelic",
                    "monoallelic_and_biallelic",
                    "monoallelic_and_more_severe_biallelic",
                    "xlinked_biallelic",
                    "xlinked_monoallelic",
                    "mitochondrial",
                    "unknown"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "This is the genomicsFeature of interest for this reported variant, please note that one variant can overlap more that one gene/transcript\n    If more than one gene/transcript is considered interesting for this particular variant, should be reported in two different ReportEvents",
            "name": "genomicFeature",
            "type": {
                "fields": [
                    {
                        "doc": "Feature Type",
                        "name": "featureType",
                        "type": {
                            "name": "FeatureTypes",
                            "symbols": [
                                "RegulatoryRegion",
                                "Gene",
                                "Transcript"
                            ],
                            "type": "enum"
                        }
                    },
                    {
                        "doc": "Transcript used, this should be a feature ID from Ensembl, (i.e, ENST00000544455)",
                        "name": "ensemblId",
                        "type": "string"
                    },
                    {
                        "doc": "This field is optional, BUT it should be filled if possible",
                        "name": "HGNC",
                        "type": [
                            "null",
                            "string"
                        ]
                    },
                    {
                        "doc": "Others IDs",
                        "name": "other_ids",
                        "type": [
                            "null",
                            {
                                "type": "map",
                                "values": "string"
                            }
                        ]
                    }
                ],
                "name": "GenomicFeature",
                "type": "record"
            }
        },
        {
            "doc": "This is the penetrance assumed for scoring or classifying this variant",
            "name": "penetrance",
            "type": {
                "doc": "Penetrance assumed in the analysis",
                "name": "Penetrance",
                "symbols": [
                    "complete",
                    "incomplete"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "This is the score provided by the company to reflect a variant's likelihood of explaining the phenotype using\n    a specific mode of Inheritance",
            "name": "score",
            "type": "float"
        },
        {
            "doc": "Other scores that the interpretation provider may add (for example phenotypically informed or family informed scores)",
            "name": "vendorSpecificScores",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": "float"
                }
            ]
        },
        {
            "doc": "Classification of the pathogenicity of this variant with respect to the phenotype",
            "name": "variantClassification",
            "type": [
                "null",
                {
                    "doc": "This is the classification of the variant according to standard practice guidelines (e.g. ACMG)",
                    "name": "VariantClassification",
                    "symbols": [
                        "BENIGN",
                        "LIKELY_BENIGN",
                        "VUS",
                        "LIKELY_PATHOGENIC",
                        "PATHOGENIC"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "This variant using this mode of inheritance can fully explain the phenotype? true or false",
            "name": "fullyExplainsPhenotype",
            "type": [
                "null",
                "boolean"
            ]
        },
        {
            "doc": "This value groups variants that together could explain the phenotype according to the\n    mode of inheritance used. All the variants sharing the same value will be considered in the same group.\n    This value is an integer unique in the whole analysis.",
            "name": "groupOfVariants",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "This is the description of why this variant would be reported, for example that it affects the protein in this way\n    and that this gene has been implicated in this disorder in these publications. Publications should be provided as PMIDs\n    using the format [PMID:8075643]. Other sources can be used in the same manner, e.g. [OMIM:163500]. Brackets need to be included.",
            "name": "eventJustification",
            "type": "string"
        },
        {
            "doc": "Tier is a property of the model of inheritance and therefore is subject to change depending on the inheritance assumptions\n    This should be filled with the information provided by GEL",
            "name": "tier",
            "type": [
                "null",
                {
                    "doc": "Possible tiers as defined by Genomics England",
                    "name": "Tier",
                    "symbols": [
                        "NONE",
                        "TIER1",
                        "TIER2",
                        "TIER3"
                    ],
                    "type": "enum"
                }
            ]
        }
    ],
    "name": "ReportEvent",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}